Intelligence
Burn text overlay onto video
Burns text overlay onto a video using FFmpeg ASS subtitles. Supports TikTok-safe zones, configurable font size, stroke thickness, and top/center/bottom positioning. Returns CDN URL of the result. Daily limit: 50/day (resets 00:00 UTC).
POST
/
v1
/
overlay
Burn text overlay onto video
curl --request POST \
--url https://api.vidjutsu.ai/v1/overlay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videoUrl": "<string>",
"text": "<string>",
"fontSize": 123,
"strokeThickness": 123
}
'import requests
url = "https://api.vidjutsu.ai/v1/overlay"
payload = {
"videoUrl": "<string>",
"text": "<string>",
"fontSize": 123,
"strokeThickness": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({videoUrl: '<string>', text: '<string>', fontSize: 123, strokeThickness: 123})
};
fetch('https://api.vidjutsu.ai/v1/overlay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"resultUrl": "<string>"
}{
"error": "<string>",
"message": "<string>",
"setup": "<string>"
}{
"error": "<string>",
"message": "<string>",
"setup": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
URL of the source video
Overlay text. Use \n for line breaks.
Vertical text placement
Available options:
top, center, bottom Font size in pixels. Defaults to 4% of video height.
Text outline thickness (0-10). Defaults to 2.
⌘I
Burn text overlay onto video
